# Get information about limits from the assessor_limits fact
require 'facter'
require 'json'
require 'task_helper'

Facter.add(:assessor_limits) do
  setcode do
    os_facts = get_fact('os')
    install_path = case os_facts['os']['family']
                   when 'windows'
                     'C:/ProgramData/PuppetLabs/comply/Assessor-CLI/'
                   else
                     '/opt/puppetlabs/comply/Assessor-CLI/'
                   end

    assessor_limits_file = "#{install_path}LIMITS"

    if File.exist?(assessor_limits_file)
      assessor_limits = File.read(assessor_limits_file, 64)

      assessor_limits_json = JSON.parse(assessor_limits)

      assessor_limits_json
    end
  end
end
